> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotstuff.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Referral Rewards

> Send POST request to /exchange, or use the ExchangeClient SDKs.

Claim your accumulated referral rewards to either spot or derivatives collateral balance.


## OpenAPI

````yaml openapi/exchange/accounts/claim-referral-rewards.json POST /exchange
openapi: 3.0.3
info:
  title: Hotstuff Exchange API — Claim Referral Rewards
  version: 1.0.0
servers:
  - url: https://api.hotstuff.trade
  - url: https://testnet-api.hotstuff.trade
security: []
paths:
  /exchange:
    post:
      summary: Claim Referral Rewards
      operationId: exchangeAccountsClaimReferralRewards
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                action:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        collateralId:
                          type: integer
                        spot:
                          type: boolean
                        nonce:
                          type: integer
                      required:
                        - collateralId
                        - spot
                        - nonce
                    type:
                      type: string
                  required:
                    - data
                    - type
                signature:
                  type: string
                nonce:
                  type: integer
              required:
                - action
                - signature
                - nonce
              example:
                action:
                  data:
                    collateralId: 1
                    spot: false
                    nonce: 1769690421578
                  type: claimReferralRewards
                signature: >-
                  0xacc3411bc74146cdda0a4991f3436a2e935fefed46cd74a2a6202df9f991a037...
                nonce: 1769690421578
            examples:
              default:
                summary: Example request
                value:
                  action:
                    data:
                      collateralId: 1
                      spot: false
                      nonce: 1769690421578
                    type: claimReferralRewards
                  signature: >-
                    0xacc3411bc74146cdda0a4991f3436a2e935fefed46cd74a2a6202df9f991a037...
                  nonce: 1769690421578
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tx_hash:
                    type: string
                  tx_type:
                    type: integer
                  error:
                    type: string
                  data:
                    type: object
                    properties: {}
                  address:
                    type: string
              example:
                tx_hash: >-
                  0x5cdeea606058f15236fa8616b6ae13ccfd48bee25dba2f464b3645ddc361375f
                tx_type: 1210
                error: ''
                data: {}
                address: '0xEc6d21B8c1FF6dF523F22c4cf54F077e5F7cAfBf'

````